.dadata-address__wrapper {
  position: relative;
  width: 22%;
  display: inline-block;
  margin: 10px 0.7em;
}

.callback .callback_holder .dadata-address__wrapper input {
  margin: 0;
}

.dadata-address__wrapper-popup {
  position: relative;
}

@media (max-width: 1200px) {
  .dadata-address__wrapper {
    display: block;
    margin: 1em auto;
    width: 100%;
  }
}

@media (max-width: 600px) {
  .dadata-address__wrapper {
    min-width: 100%;
  }
}

.callback .callback_holder input {
  outline: none;
}

.callback .callback_holder .dadata-address__wrapper input,
.callback .callback_holder .dadata-address__wrapper-popup input {
  width: 100%;
}
.suggestions-input {
  padding-left: 2em !important;
}
.dadata-address__wrapper .suggestions-wrapper .suggestions-suggestions,
.dadata-address__wrapper-popup .suggestions-wrapper .suggestions-suggestions {
  top: 100% !important;
  left: 0 !important;
  background-color: #fff;
  width: 100% !important;
  color: #000;
  height: auto;
  padding: 1em 0;
  text-align: left;
  z-index: 20;
}
.dadata-address__wrapper .suggestions-wrapper .suggestions-suggestions .suggestions-hint,
.dadata-address__wrapper-popup .suggestions-wrapper .suggestions-suggestions .suggestions-hint {
  opacity: 0.75;
  padding-left: 1em;
  font-size: 0.875rem;
  padding-left: 1rem;
}
.suggestions-suggestion {
  padding: 0.5rem 1rem !important;
}
.suggestions-suggestion:hover {
  cursor: pointer;
  box-shadow: inset 0 0 100px 100px #00000033;
}
.callback .wrapper {
  overflow: visible;
}
.button:disabled {
  background-color: #f37b305e;
  cursor: default;
}

.dadata-address__wrapper #dadata-message {
  position: absolute;
  left: 0%;
  z-index: 10;
  width: 100%;
  text-align: center;
}

@media (max-width: 1200px) {
  .dadata-address__wrapper #dadata-message {
    top: 100%;
  }
}
.dadata-address__wrapper-popup #dadata-message-popup {
  position: absolute;
  left: 50%;
  width: 100%;
  text-align: center;
  transform: translateX(-50%);
  z-index: 10;
  margin-top: 0.25rem;
}
.callback__citylist-grid {
  display: grid;
  transition: all 0.5s;
  grid-template-rows: 0fr;
}
.callback__citylist-grid.open {
  grid-template-rows: 1fr;
}

.callback__citylist-head {
  cursor: pointer;
}

.callback__citylist-head.open svg {
  transform: rotate(180deg);
}
.callback__citylist-grid > div {
  overflow: hidden;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 1s;
  margin-top: 1rem;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 10px;
}

@media (max-width: 1000px) {
  .callback__citylist-grid > div {
    grid-template-columns: repeat(1, 1fr);
  }
  .callback__citylist-grid.open {
    grid-template-rows: 1fr;
    max-height: 25rem;
    overflow: auto;
  }
  .callback__citylist-grid.open > div {
    overflow: auto;
  }
}

.callback__citylist-grid > div div {
  display: flex;
  flex-direction: column;
  gap: 8px;
}
.callback__citylist-grid > div div span {
  text-align: left;
  font-size: 0.875rem;
  font-weight: 400;
}

.callback_holder.ajax-form-callback .policy-wrapper,
.popup-holder .popup-wrapper .form-wrapper .policy-wrapper {
  text-wrap: balance;
  margin: 0 0 16px 0 !important;
  display: flex !important;
  justify-content: center;
  gap: 16px;
  cursor: pointer;

  input {
    flex-shrink: 0;
    width: 18px !important;
    height: 18px;
    margin: 0;
    appearance: none;
    cursor: pointer;
    position: relative;
    background-color: #fff;
    border: 1px solid #ddd;
    transition: border 0.2s ease-in-out;

    &:after {
      content: '';
      position: absolute;
      inset: 0;
      background-repeat: no-repeat;
      background-position: center;
      opacity: 0;
      transition: opacity 0.2s ease-in-out;
    }

    &:hover {
      border-color: #bbb;
    }

    &:checked {
      border-color: #bbb;

      &:after {
        opacity: 1;
        background-image: url("data:image/svg+xml,%3Csvg width='12' height='9' viewBox='0 0 15 12' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M14.1333 2.56904C14.3541 2.33209 14.4743 2.01868 14.4686 1.69484C14.4629 1.37101 14.3317 1.06203 14.1027 0.833008C13.8737 0.603986 13.5647 0.472799 13.2409 0.467085C12.917 0.461371 12.6036 0.581578 12.3667 0.802378L4.91667 8.25238L2.46 5.79571C2.22304 5.57491 1.90963 5.4547 1.58579 5.46042C1.26196 5.46613 0.952984 5.59732 0.723962 5.82634C0.49494 6.05536 0.363754 6.36434 0.35804 6.68817C0.352326 7.01201 0.472532 7.32542 0.693332 7.56238L4.03333 10.9024C4.26771 11.1365 4.58541 11.2679 4.91667 11.2679C5.24792 11.2679 5.56562 11.1365 5.8 10.9024L14.1333 2.56904Z' fill='black'/%3E%3C/svg%3E%0A");
      }
    }
  }
}

.callback_holder.ajax-form-callback .policy-wrapper {
  margin-top: 20px !important;
}

/* cookie */
.cookie-container {
  position: fixed;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
  width: 100%;
  max-width: 820px;
  display: none;
  z-index: 1001;
  background: #ffffff;
  border: 1px solid #ddd;
  transition:
    box-shadow 0.3s ease,
    border 0.3s ease;
  line-height: 1.3;
}

.cookie-container:hover {
  border-color: #bbb;
  box-shadow: 0 2px 12px rgba(0, 0, 0, 0.3);
}

.cookie-wrapper {
  display: flex;
  justify-content: center;
  gap: 20px;
  padding: 20px;
}

.cookie-btn {
  flex-shrink: 0;
}
.cookie-btn .btn {
  margin: 0;
}

@media (max-width: 768px) {
  .cookie-container {
    bottom: 0;
    font-size: 0.867em;
  }
}

@media (max-width: 500px) {
  .cookie-wrapper {
    flex-direction: column;
    gap: 10px;
  }

  .cookie-btn {
    margin: 0 auto;
  }
}
/* /cookie */
